.NET

.NET

Reply
Valued Contributor
sivashanmugam
Posts: 58
Registered: ‎03-05-2006
Message 1 of 3 (139 Views)

ObjectARX to .NET managed wrapper class

139 Views, 2 Replies
03-22-2006 05:17 AM
Hai,

This is the code I have seen in the ObjectARX.

I need the equilent .NET code using .NET managed wrapper class for the below.....



Code:
-------

AcDbGroup *pGroup = new AcDbGroup;
AcDbObjectId groupObjectId;
AcDbDictionary *pGroupDict = NULL;

acdbCurDwg()->getGroupDictionary(pGroupDict, AcDb::kForWrite);
pGroupDict->setAt("GroupName", pGroup, groupObjectId);
pGroupDict->close();

pGroup->append(objectId1); // objectId1 and objectId2
// are objId's of the
pGroup->append(objectId2); // entities which will be in the group.

pGroup->close();

plz help............

Regards,
N. Siva shanmugam....
Distinguished Contributor
Mikko
Posts: 212
Registered: ‎10-03-2003
Message 2 of 3 (139 Views)

Re: ObjectARX to .NET managed wrapper class

03-22-2006 05:43 AM in reply to: sivashanmugam
Albert Szilvasy posted a bit of C# code here.

http://discussion.autodesk.com/thread.jspa?messageID=4865255

You'll have to decipher it as the formatting is lacking somewhat.
Valued Contributor
sivashanmugam
Posts: 58
Registered: ‎03-05-2006
Message 3 of 3 (139 Views)

Re: ObjectARX to .NET managed wrapper class

03-22-2006 06:29 AM in reply to: sivashanmugam
Thanks for the reply.....
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.